Subject: Re: [PATCH 10/13] powerpc: Add arch/powerpc mv64x60 PCI setup

From: Arnd Bergmann <[email-masked]>
Date: Thu, 26 Apr 2007 13:39:18 +0200

On Thursday 26 April 2007, Dale Farnsworth wrote:
> > /* The probing of PCI controllers from of_platform is currently
> > =A0* 64 bits only, mostly due to gratuitous differences between
> > =A0* the 32 and 64 bits PCI code on PowerPC and the 32 bits one
> > =A0* lacking some bits needed here.
> > =A0*/
>=20
> Is this comment incorrect?
>=20
> I agree that this is more code duplication than I like, and we could
> benefit from some refactoring. =A0However, I find 15 other places in
> arch/powerpc that largely duplicate this pci initialization code.
> That doesn't make a 16th right, but at least I'm in good company.=20

Yes, you're right. I was assuming that the code had been ported to
32 bit already, which was incorrect.

While I would very much like you (or someone else) to make it work,
it should not be a prerequisite to get your code merged in 2.6.22.

The one remaining comment I have about this one is that IMHO it
should be a separate file, mv64x60-pci.c instead of being
in the same file as the interrupt controller and other code.

	Arnd <><